Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
[Java] Class ResultSetMetaDataWrapper

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.sql.ResultSetMetaDataWrapper

    public class ResultSetMetaDataWrapper
    extends GroovyObjectSupport

This class defines a wrapper for accessing a specific column in `ResultSetMetaData`. This allows iteration over columns using idiomatic Groovy, e.g.

     meta.each {col ->
       println col.columnName
     }

All `ResultSetMetaData` column methods taking a column index are available on a column either as a no-arg getter or via a property.

This wrapper is created by an iterator invoked for `ResultSetMetaData`.

Authors:
  John Hurst

See Also:
  SqlGroovyMethods

Constructor Summary
`ResultSetMetaDataWrapper(java.sql.ResultSetMetaData target, int index)`

Method Summary
`java.lang.Object` | `getProperty(java.lang.String property)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ResultSetMetaDataWrapper

    public ResultSetMetaDataWrapper(java.sql.ResultSetMetaData target, int index)

Method Detail

### getProperty

    @Override
    public java.lang.Object getProperty(java.lang.String property)

### invokeMethod

    @Override
    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### setProperty

    @Override
    public void setProperty(java.lang.String property, java.lang.Object newValue)

Groovy Documentation